%define name gwenhywfar
%define major 47
%define libname %mklibname %name %major
%define qt4major 0
%define qt4libname %mklibname gwengui-qt4_ %{qt4major}
%define develname %mklibname -d %name

Summary: A multi-platform helper library for other libraries
Name: gwenhywfar
Version: 3.11.7
%define subrel 1
Release: %mkrel 3
#http://www2.aquamaniac.de/sites/download/download.php?package=01&release=23&file=01&dummy=gwenhywfar-3.8.2.tar.gz
Source: http://files.hboeck.de/aq/%{name}-%{version}beta.tar.gz
Patch2: gwenhywfar-3.11.6-fix-linkage.patch
BuildRequires: automake
BuildRequires: autoconf >= 2.58
BuildRequires: gettext-devel
BuildRequires: openssl-devel
BuildRequires: ncurses-devel
BuildRequires: zlib-devel
BuildRequires: libgcrypt-devel
BuildRequires: gnutls-devel
BuildRequires: qt4-devel
BuildConflicts: %{develname} < %{version}
Group: System/Libraries
License: LGPLv2+
URL: http://gwenhywfar.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %libname
Summary: A multi-platform helper library for other libraries
Group: System/Libraries
Requires: %name >= %version

%description -n %libname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %qt4libname
Summary: A multi-platform helper library for other libraries
Group: System/Libraries

%description -n %qt4libname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %develname
Summary: Gwenhywfar development kit
Group: Development/C
Requires: %{libname} = %{version}
Requires: %{qt4libname} = %{version}
Provides: lib%name-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}
Obsoletes: %mklibname -d %name 38

%description -n %develname
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%prep
%setup -qn %name-%{version}beta
%patch2 -p0 -b .link

%build
%configure2_5x --disable-static \
  --disable-rpath \
  --with-guis=qt4 --with-qt4-libs=%{qt4lib} \
  --with-openssl-libs=%{_libdir}
%make

%install
rm -fr $RPM_BUILD_ROOT %name.lang
%makeinstall_std
find %buildroot -name \*.la|xargs chmod 644
%find_lang %name
perl -pi -e "s-L$RPM_BUILD_DIR/%name-%version/src" %buildroot%_libdir/*.la %buildroot%_libdir/%name/plugins/*/*/*.la

ln -snf %{_sysconfdir}/pki/tls/certs/ca-bundle.crt %{buildroot}%{_datadir}/%{name}/ca-bundle.crt

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README 
%_bindir/gct-tool
%_datadir/%name

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*
%{_libdir}/%{name}

%files -n %qt4libname
%defattr(-,root,root)
%{_libdir}/libgwengui-qt4.so.%{qt4major}
%{_libdir}/libgwengui-qt4.so.%{qt4major}.*

%files -n %develname
%defattr(-,root,root)
%{_bindir}/gwenhywfar-config
%{_bindir}/xmlmerge
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_bindir}/typemaker2
%{_includedir}/gwenhywfar3
%{_includedir}/gwen-gui-qt4
%{_libdir}/*.so
%attr(644,root,root)  %{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gwenhywfar.m4


%changelog
* Fri Apr 08 2011 Oden Eriksson <oeriksson@mandriva.com> 3.11.7-3.1mdv2010.2
- force the usage of rootcerts and the up to date common ca-bundle.crt

* Fri May 07 2010 Funda Wang <fwang@mandriva.org> 3.11.7-3mdv2010.1
+ Revision: 543198
- rebuild

* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 3.11.7-2mdv2010.1
+ Revision: 541604
- fix obsoletes

* Wed Apr 14 2010 Funda Wang <fwang@mandriva.org> 3.11.7-1mdv2010.1
+ Revision: 534692
- new version 3.11.7

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 3.11.6-3mdv2010.1
+ Revision: 532083
- rebuild for new openssl

* Wed Mar 31 2010 Funda Wang <fwang@mandriva.org> 3.11.6-2mdv2010.1
+ Revision: 530479
- fix wrong pkg name

* Wed Mar 31 2010 Funda Wang <fwang@mandriva.org> 3.11.6-1mdv2010.1
+ Revision: 530459
- New version 3.11.6

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3.11.3-2mdv2010.1
+ Revision: 511572
- rebuilt against openssl-0.9.8m

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 3.11.3-1mdv2010.1
+ Revision: 485006
- Update to new version 3.11.3

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 3.11.1-2mdv2010.0
+ Revision: 454745
- do not package huge ChangeLog

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 3.11.1-1mdv2010.0
+ Revision: 448014
- Update to new version 3.11.1

* Fri Sep 11 2009 Emmanuel Andry <eandry@mandriva.org> 3.10.1-1mdv2010.0
+ Revision: 438475
- New version 3.10.1

* Sun Jun 21 2009 Funda Wang <fwang@mandriva.org> 3.9.0-1mdv2010.0
+ Revision: 387555
- new version 2.9.0

* Sat Jun 06 2009 Götz Waschk <waschk@mandriva.org> 3.8.2-1mdv2010.0
+ Revision: 383345
- new version
- drop patch 1

* Sat May 30 2009 Funda Wang <fwang@mandriva.org> 3.8.1-1mdv2010.0
+ Revision: 381420
- fix build with gnutls 2.8
- New version 3.8.1

* Tue Apr 28 2009 Götz Waschk <waschk@mandriva.org> 3.8.0-1mdv2010.0
+ Revision: 369098
- new version
- drop patch 1
- update URL

* Wed Mar 04 2009 Götz Waschk <waschk@mandriva.org> 3.7.2-1mdv2009.1
+ Revision: 348225
- update to new version 3.7.2

* Sat Jan 31 2009 Funda Wang <fwang@mandriva.org> 3.7.1-1mdv2009.1
+ Revision: 335855
- New version 3.7.1

* Fri Jan 23 2009 Funda Wang <fwang@mandriva.org> 3.7.0-1mdv2009.1
+ Revision: 332694
- New version 3.7.0

* Thu Dec 04 2008 Götz Waschk <waschk@mandriva.org> 3.5.2-2mdv2009.1
+ Revision: 309997
- rebuild to get rid of libtasn1 dep
- fix source URL

* Mon Nov 10 2008 Götz Waschk <waschk@mandriva.org> 3.5.2-1mdv2009.1
+ Revision: 301681
- new version

* Sat Oct 18 2008 Götz Waschk <waschk@mandriva.org> 3.5.1-1mdv2009.1
+ Revision: 294849
- new version

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 3.4.1-1mdv2009.0
+ Revision: 274270
- update build deps
- new version
- update license
- fix build

* Wed Jul 09 2008 Götz Waschk <waschk@mandriva.org> 3.3.5-1mdv2009.0
+ Revision: 233016
- new version

* Sat Jun 14 2008 Funda Wang <fwang@mandriva.org> 3.3.4-1mdv2009.0
+ Revision: 219134
- New version 3.3.4

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 08 2008 Funda Wang <fwang@mandriva.org> 3.3.3-1mdv2009.0
+ Revision: 216783
- New version 3.3.3

* Wed May 28 2008 Funda Wang <fwang@mandriva.org> 3.3.2-2mdv2009.0
+ Revision: 212177
- New version 3.3.2

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Tue Apr 22 2008 Götz Waschk <waschk@mandriva.org> 3.3.0-1mdv2009.0
+ Revision: 196639
- new version
- back to 3.2.0

  + mandrake <mandrake@mandriva.com>
    - %repsys markrelease
      version: 3.2.0
      release: 1mdv2009.0
      revision: 194557
      Copying 3.2.0-1mdv2009.0 to releases/ directory.

* Wed Apr 16 2008 Funda Wang <fwang@mandriva.org> 3.2.0-1mdv2009.0
+ Revision: 194557
- BR libgcrypt-devel
- New version 3.2.0
- New major 38->47

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - remove useless URLs of other projects from descriptions

* Fri Nov 23 2007 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdv2008.1
+ Revision: 111451
- new version

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdv2008.0
+ Revision: 79972
- new version
- new devel name

* Sat May 19 2007 Götz Waschk <waschk@mandriva.org> 2.5.4-1mdv2008.0
+ Revision: 28457
- new version


* Thu Dec 28 2006 Götz Waschk <waschk@mandriva.org> 2.5.0-1mdv2007.0
+ Revision: 102209
- new version
- unpack patch

* Wed Sep 27 2006 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2007.0
- New version 2.4.1

* Sun Aug 27 2006 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2007.0
- New release 2.4.0

* Sat Jul 15 2006 Götz Waschk <waschk@mandriva.org> 2.3.1-1
- New release 2.3.1

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 2.3.0-1mdv2007.0
- New release 2.3.0

* Fri Apr 14 2006 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdk
- New release 2.2.0

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdk
- New release 2.1.1

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 2.1.0-1mdk
- New release 2.1.0

* Tue Feb 28 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdk
- New release 2.0.0

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 1.99.7-1mdk
- New release 1.99.7

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 1.99.6-1mdk
- New release 1.99.6

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 1.99.5-1mdk
- New release 1.99.5

* Wed Jan 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.99.4-1mdk
- New release 1.99.4

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 1.99.3-1mdk
- new major
- New release 1.99.3

* Thu Dec 15 2005 Götz Waschk <waschk@mandriva.org> 1.99.2-1mdk
- New release 1.99.2

* Thu Dec 08 2005 Gtz Waschk <waschk@mandriva.org> 1.99.1-2mdk
- fix deps for upgrades

* Fri Dec 02 2005 Gtz Waschk <waschk@mandriva.org> 1.99.1-1mdk
- new major
- update file list
- New release 1.99.1

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.19.0-2mdk
- rebuild against openssl-0.9.8
- add missing buildrequires

* Wed Nov 02 2005 Gtz Waschk <waschk@mandriva.org> 1.19.0-1mdk
- update file list
- New release 1.19.0

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 1.17.0-1mdk
- New release 1.17.0

* Fri Aug 12 2005 Gtz Waschk <waschk@mandriva.org> 1.15.0-1mdk
- update file list
- New release 1.15.0

* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 1.14.0-1mdk
- New release 1.14.0

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 1.13.3-1mdk
- New release 1.13.3

* Sat May 28 2005 Gtz Waschk <waschk@mandriva.org> 1.13.2-1mdk
- New release 1.13.2

* Thu May 26 2005 Gtz Waschk <waschk@mandriva.org> 1.13.1-1mdk
- New release 1.13.1

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 1.13.0-1mdk
- New release 1.13.0

* Tue May 03 2005 Gtz Waschk <waschk@mandriva.org> 1.12.1-1mdk
- New release 1.12.1

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 1.12.0-1mdk
- New release 1.12.0

* Thu Apr 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.10.0-1mdk 
- Release 1.10.0
- Regenerate patch0

* Tue Mar 08 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.0-2mdk
- lib64 fixes

* Mon Feb 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.8.0-1mdk
- add CA Certificates file
- New release 1.8.0

* Tue Feb 15 2005 Jerome Soyer <saispo@mandrake.org> 1.7.2-1mdk
- New release

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3-2mdk
- fix provides

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- initial package

